=== debian/changelog ===
pentobi (10.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with Qt5.
    - d/rules: Add Qt5 cmake flags.
    - d/control: Adjust Build-Deps.
    - d/pentobi-kde-thumbnailer.install: Adjust for new install locations.
  * Drop now unneeded override_dh_install.
  * d/pentobi.install, d/pentobi.doc-base.*: Adjust for new help path.
  * d/pentobi.doc-base.manual-en-{ca,gb}: en_CA, en_GB dropped upstream.
  * d/copyright: Update copyright years.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 05 Jul 2015 19:37:05 +0300

pentobi (9.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Reduce size of d/upstream/signing-key.asc by using a minimally exported key.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 30 Apr 2015 18:39:00 +0300
