## pentobi 11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0.2)
 
 project(Pentobi)
-set(PENTOBI_VERSION 10.0)
+set(PENTOBI_VERSION 11.0)
 
 cmake_policy(SET CMP0043 NEW)
 
@@ -13,14 +13,10 @@
 option(PENTOBI_BUILD_GUI "Build Qt-based GUI" ON)
 option(PENTOBI_BUILD_QML "Build QtQuick-based GUI" OFF)
 option(PENTOBI_BUILD_KDE_THUMBNAILER "Build thumbnailer for KDE" OFF)
-option(USE_QT5 "Use Qt 5 instead of Qt 4" OFF)
 
 if (PENTOBI_BUILD_KDE_THUMBNAILER AND NOT PENTOBI_BUILD_GUI)
   message(FATAL_ERROR
     "PENTOBI_BUILD_KDE_THUMBNAILER requires PENTOBI_BUILD_GUI=1")
-endif()
-if (PENTOBI_BUILD_QML AND NOT USE_QT5)
-  message(FATAL_ERROR "PENTOBI_BUILD_QML requires USE_QT5=1")
 endif()
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
@@ -80,29 +76,16 @@
 find_package(Threads)
 
 if(PENTOBI_BUILD_GUI)
-  if (USE_QT5)
-    find_package(Qt5Concurrent REQUIRED)
-    find_package(Qt5Widgets REQUIRED)
-    find_package(Qt5LinguistTools REQUIRED)
-    find_package(Qt5Svg REQUIRED)
-  else()
-    find_package(Qt4 COMPONENTS QtCore QtGui QtSvg REQUIRED)
-  endif()
+  find_package(Qt5Concurrent 5.1 REQUIRED)
+  find_package(Qt5Widgets 5.1 REQUIRED)
+  find_package(Qt5LinguistTools 5.1 REQUIRED)
+  find_package(Qt5Svg 5.1 REQUIRED)
 endif()
 if(PENTOBI_BUILD_QML)
   find_package(Qt5Concurrent 5.3 REQUIRED)
   find_package(Qt5Qml 5.3 REQUIRED)
   find_package(Qt5Gui 5.3 REQUIRED)
   find_package(Qt5Svg 5.3 REQUIRED)
-endif()
-# Enable support for high dpi images if Qt version is at least 5.1
-set(PENTOBI_HDPI 0)
-if(PENTOBI_BUILD_GUI AND USE_QT5)
-  string(REGEX REPLACE "^[0-9]+\\.([0-9]+).*$" "\\1" QT_VERSION_MINOR
-      "${Qt5Widgets_VERSION}")
-  if(${QT_VERSION_MINOR} GREATER 0)
-    set(PENTOBI_HDPI 1)
-  endif()
 endif()
 
 if(UNIX)
