=== src/convert/CMakeLists.txt ===
add_executable(convert Main.cpp)

target_link_libraries(convert Qt5::Widgets)
