=== src/libboardgame_base/CMakeLists.txt ===
add_library(boardgame_base STATIC
  CoordPoint.h
  CoordPoint.cpp
  Engine.h
  Engine.cpp
  Geometry.h
  GeometryUtil.h
  Grid.h
  Marker.h
  Point.h
  PointTransform.h
  Rating.h
  Rating.cpp
  RectGeometry.h
  RectTransform.h
  RectTransform.cpp
  SpShtStrRep.h
  SpShtStrRep.cpp
  Transform.h
  Transform.cpp
)
