=== src/libboardgame_sgf/CMakeLists.txt ===
add_library(boardgame_sgf STATIC
  InvalidPropertyValue.h
  InvalidTree.h
  MissingProperty.h
  MissingProperty.cpp
  Reader.h
  Reader.cpp
  SgfNode.h
  SgfNode.cpp
  SgfTree.h
  SgfTree.cpp
  SgfUtil.h
  SgfUtil.cpp
  TreeReader.h
  TreeReader.cpp
  TreeWriter.h
  TreeWriter.cpp
  Writer.h
  Writer.cpp
)
