=== src/libboardgame_test_main/CMakeLists.txt ===
add_library(boardgame_test_main STATIC Main.cpp)
