=== src/libpentobi_base/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
   MoveList.h
   MoveMarker.h
   MovePoints.h
+  NexosGeometry.h
+  NexosGeometry.cpp
   NodeUtil.h
   NodeUtil.cpp
   PentobiSgfUtil.h
@@ -53,7 +55,7 @@
   StartingPoints.h
   StartingPoints.cpp
   SymmetricPoints.h
-  SymmetricPoints.cpp  
+  SymmetricPoints.cpp
   TreeUtil.h
   TreeUtil.cpp
   TrigonGeometry.h
