=== debian/changelog ===
pentobi (11.0-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: "USE_QT5" not needed, qt4 support was dropped upstream.
  * d/pentobi.install: Add usr/share/appdata, remove usr/share/pixmaps.
  * d/control: Update Vcs-Browser field to use https.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sat, 02 Jan 2016 19:40:55 +0200

pentobi (10.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/pentobi.menu as per tech-ctte decision in #741573.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 24 Dec 2015 18:14:00 +0200
