=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Standards-Version: 3.9.6
 Homepage: http://pentobi.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/pentobi.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/pentobi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/pentobi.git
 
 Package: pentobi
 Architecture: any
