=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_BINDIR=/usr/games \
 		-DCMAKE_INSTALL_DATADIR=/usr/share/games \
-		-DUSE_QT5=ON \
 		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
 		-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
 		-DPENTOBI_BUILD_TESTS=ON
