## pentobi 12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 cmake_minimum_required(VERSION 3.0.2)
 
 project(Pentobi)
-set(PENTOBI_VERSION 11.0)
+set(PENTOBI_VERSION 12.0)
+set(PENTOBI_RELEASE_DATE 2016-04-10)
 
 cmake_policy(SET CMP0043 NEW)
 
@@ -76,12 +77,13 @@
 find_package(Threads)
 
 if(PENTOBI_BUILD_GUI)
-  find_package(Qt5Concurrent 5.1 REQUIRED)
-  find_package(Qt5Widgets 5.1 REQUIRED)
-  find_package(Qt5LinguistTools 5.1 REQUIRED)
-  find_package(Qt5Svg 5.1 REQUIRED)
+  find_package(Qt5Concurrent 5.2 REQUIRED)
+  find_package(Qt5Widgets 5.2 REQUIRED)
+  find_package(Qt5LinguistTools 5.2 REQUIRED)
+  find_package(Qt5Svg 5.2 REQUIRED)
 endif()
 if(PENTOBI_BUILD_QML)
+  # Qt 5.3 is good enough for building but the QML files require Qt 5.6 to run
   find_package(Qt5Concurrent 5.3 REQUIRED)
   find_package(Qt5Qml 5.3 REQUIRED)
   find_package(Qt5Gui 5.3 REQUIRED)
