=== debian/changelog ===
pentobi (12.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version to 3.9.8, no changes needed.
    - Unify Vcs-Git and Vcs-Browser.
    - Konqueror is not KDE Frameworks 5 application and thus cannot use
      pentobi-kde-thumbnailer; removed Enhances.
  * d/copyright: Update copyright years.
  * d/patches/desktop-semicolon.patch: Add a missing ; in desktop file.
  * d/rules: Enable all hardening flags.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 17 May 2016 21:41:19 +0300
