=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pentobi.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/pentobi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/pentobi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/pentobi.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-games/pentobi.git
 
 Package: pentobi
 Architecture: any
@@ -35,7 +35,7 @@
 Architecture: any
 Section: kde
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Enhances: dolphin, konqueror
+Enhances: dolphin
 Description: clone of the strategy board game Blokus - KDE thumbnailer
  Pentobi is a strategy board game played on a square grid board using playing
  pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
