=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Optimize with O3 to make the computationally expensive higher levels faster.
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
   export DEB_CXXFLAGS_MAINT_APPEND = -O3
 endif
-
-# Avoid dependencies on unused libraries.
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --parallel
