=== src/CMakeLists.txt ===
add_subdirectory(books)
add_subdirectory(libboardgame_sys)
add_subdirectory(libboardgame_util)
add_subdirectory(libboardgame_sgf)
add_subdirectory(libboardgame_base)
add_subdirectory(libboardgame_mcts)
add_subdirectory(libpentobi_base)
add_subdirectory(libpentobi_mcts)

if (PENTOBI_BUILD_GTP)
  add_subdirectory(libboardgame_gtp)
  add_subdirectory(pentobi_gtp)
  if(HAVE_UNISTD_H AND NOT(WIN32))
    add_subdirectory(twogtp)
  else()
    message(STATUS "Not building twogtp, needs POSIX")
  endif()
endif()

if (PENTOBI_BUILD_TESTS)
  add_subdirectory(libboardgame_test)
  add_subdirectory(libboardgame_test_main)
  add_subdirectory(unittest)
endif()

if (PENTOBI_BUILD_GUI)
  add_subdirectory(convert)
  add_subdirectory(libpentobi_gui)
  add_subdirectory(libpentobi_thumbnail)
  add_subdirectory(pentobi_thumbnailer)
  add_subdirectory(pentobi)
  if(PENTOBI_BUILD_KDE_THUMBNAILER)
    add_subdirectory(libpentobi_kde_thumbnailer)
    add_subdirectory(pentobi_kde_thumbnailer)
  endif()
endif()

if (PENTOBI_BUILD_QML)
  add_subdirectory(pentobi_qml)
endif()
