=== src/libboardgame_base/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
   RectGeometry.h
   RectTransform.h
   RectTransform.cpp
-  SpShtStrRep.h
-  SpShtStrRep.cpp
+  StringRep.h
+  StringRep.cpp
   Transform.h
   Transform.cpp
 )
