=== src/libboardgame_sys/CMakeLists.txt ===
add_library(boardgame_sys STATIC
  Compiler.h
  CpuTime.h
  CpuTime.cpp
  Memory.h
  Memory.cpp
)
