=== src/libpentobi_base/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
   BoardUtil.cpp
   Book.h
   Book.cpp
+  CallistoGeometry.h
+  CallistoGeometry.cpp
   Color.h
   Color.cpp
   ColorMap.h
