=== src/libpentobi_kde_thumbnailer/CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,9 @@
 #
 # Adding the source files directly to pentobi_kde_thumbnailer/CMakeList.txt is
 # not possible because the KDE CMake macros add -fno-exceptions to the
-# compiler flags which causes errors in the Pentobi sources that use
+# compiler flags, which causes errors in the Pentobi sources that use
 # exceptions (which should be fine as long as no exceptions are thrown
 # from the thumbnailer plugin functions).
-
-if (NOT USE_QT5)
-  include(${QT_USE_FILE})
-endif()
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_CXX_FLAGS}")
 
@@ -22,12 +18,14 @@
   ../libboardgame_util/Assert.cpp
   ../libboardgame_util/Log.cpp
   ../libboardgame_util/StringUtil.cpp
-  ../libboardgame_base/SpShtStrRep.cpp
+  ../libboardgame_base/StringRep.cpp
   ../libboardgame_sgf/MissingProperty.cpp
   ../libboardgame_sgf/Reader.cpp
   ../libboardgame_sgf/SgfNode.cpp
   ../libboardgame_sgf/SgfTree.cpp
   ../libboardgame_sgf/TreeReader.cpp
+  ../libpentobi_base/CallistoGeometry.cpp
+  ../libpentobi_base/NexosGeometry.cpp
   ../libpentobi_base/NodeUtil.cpp
   ../libpentobi_base/StartingPoints.cpp
   ../libpentobi_base/TrigonGeometry.cpp
@@ -37,6 +35,4 @@
   ../libpentobi_thumbnail/CreateThumbnail.cpp
 )
 
-if (USE_QT5)
-  target_link_libraries(pentobi_kde_thumbnailer Qt5::Widgets)
-endif()
+target_link_libraries(pentobi_kde_thumbnailer Qt5::Widgets)
