=== debian/changelog ===
pentobi (12.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Build-Dep kio-dev was renamed to libkf5kio-dev, but keep
    the old name as an alternative (for Ubuntu).
  * d/copyright:
    - Update copyright years.
    - Use https in the copyright-format URL.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 05 Jan 2017 22:14:45 +0200

pentobi (12.1-1) unstable; urgency=medium

  * New upstream release.
    - Contains d/patches/desktop-semicolon.patch. Remove d/patches.
  * Use dh compat 10. Option --parallel is now default, dropped.
  * Mark pentobi-kde-thumbnailer Multi-Arch same, as hinted by MA-hinter.
  * Update watch file to version 4.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 01 Dec 2016 16:14:42 +0200
