=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Dean Evans <dean@codemonkies.net>,
            Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
                extra-cmake-modules,
-               kio-dev,
+               libkf5kio-dev | kio-dev,
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
@@ -33,6 +33,7 @@
 
 Package: pentobi-kde-thumbnailer
 Architecture: any
+Multi-Arch: same
 Section: kde
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: dolphin
